> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post accountsdepartments

> Creates a new Department within the Forum with which is the Home Forum of
the User's Account. A Department is an organizational descriptive unit which
may be assigned to multiple Users.

The requesting User must have the following rights to perform this task:

*Note: The user must either be the SystemAdmin, or the user's HomeAccount must be the ForumOwner.*

This operation requires a Department value.

This operation returns a Department value.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /accounts/departments
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /accounts/departments:
    post:
      tags:
        - AccountService
      description: >-
        Creates a new Department within the Forum with which is the Home Forum
        of

        the User's Account. A Department is an organizational descriptive unit
        which

        may be assigned to multiple Users.


        The requesting User must have the following rights to perform this task:


        *Note: The user must either be the SystemAdmin, or the user's
        HomeAccount must be the ForumOwner.*


        This operation requires a Department value.


        This operation returns a Department value.
      operationId: makeDepartment
      parameters: []
      requestBody:
        description: Department
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  sysidDepartment: 12345
                  name: ...
            schema:
              $ref: '#/components/schemas/Department'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    sysidDepartment: 12345
                    name: ...
              schema:
                $ref: '#/components/schemas/Department'
          description: |-
            Department
            returnType  com.agilquest.phoenix.shared.data.user.Department
components:
  schemas:
    Department:
      type: object
      title: Department
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            sysidDepartment:
              type: integer
              format: int32
            name:
              type: string
      example:
        sysidDepartment: 12345
        name: ...
    DependentData:
      type: object
      title: DependentData
      example: {}

````